Debian Bug report logs - #701829
ITP: matlab2tikz -- converter of Octave plots to TikZ figures for integration into LaTeX

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sébastien Villemot <sebastien@debian.org>

Date: Wed, 27 Feb 2013 17:45:01 UTC

Owned by: "Sébastien Villemot" <sebastien@debian.org>

Severity: wishlist

Fixed in version matlab2tikz/0.3.2-1

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-octave-devel@lists.alioth.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#701829; Package wnpp. (Wed, 27 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-octave-devel@lists.alioth.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Wed, 27 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: matlab2tikz -- converter of Octave plots to TikZ figures for integration into LaTeX
Date: Wed, 27 Feb 2013 18:41:25 +0100
Package: wnpp
Severity: wishlist
Owner: "Sébastien Villemot" <sebastien@debian.org>

* Package name    : matlab2tikz
  Version         : 0.3.1
  Upstream Author : Nico Schlömer
* URL             : https://github.com/nschloe/matlab2tikz
* License         : BSD-2-clause
  Programming Lang: Octave
  Description     : converter of Octave plots to TikZ figures (for integration into LaTeX)

matlab2tikz is an Octave script for converting Octave figures into native
TikZ/Pgfplots figures, which can then easily be incorporated into a LaTeX
document. It supports the conversion of most Octave figures, including 2D and
3D plots.

This package is also compatible with the (nonfree) MATLAB software.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#701829; Package wnpp. (Thu, 28 Feb 2013 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Thu, 28 Feb 2013 08:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 701829@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Sébastien Villemot <sebastien@debian.org>, 701829@bugs.debian.org
Cc: Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#701829: ITP: matlab2tikz -- converter of Octave plots to TikZ figures for integration into LaTeX
Date: Thu, 28 Feb 2013 09:26:11 +0100
Hi Sébastien,

thanks for your ITP.  You might like to consider maintaining this
package inside the Debian Science team.

Kind regards

      Andreas.

On Wed, Feb 27, 2013 at 06:41:25PM +0100, Sébastien Villemot wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "Sébastien Villemot" <sebastien@debian.org>
> 
> * Package name    : matlab2tikz
>   Version         : 0.3.1
>   Upstream Author : Nico Schlömer
> * URL             : https://github.com/nschloe/matlab2tikz
> * License         : BSD-2-clause
>   Programming Lang: Octave
>   Description     : converter of Octave plots to TikZ figures (for integration into LaTeX)
> 
> matlab2tikz is an Octave script for converting Octave figures into native
> TikZ/Pgfplots figures, which can then easily be incorporated into a LaTeX
> document. It supports the conversion of most Octave figures, including 2D and
> 3D plots.
> 
> This package is also compatible with the (nonfree) MATLAB software.
> 
> 
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130227174125.10724.76426.reportbug@brouzouf.villemot.name
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#701829; Package wnpp. (Thu, 28 Feb 2013 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Thu, 28 Feb 2013 18:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 701829@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: 701829@bugs.debian.org, Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#701829: ITP: matlab2tikz -- converter of Octave plots to TikZ figures for integration into LaTeX
Date: Thu, 28 Feb 2013 19:38:31 +0100
[Message part 1 (text/plain, inline)]
Le jeudi 28 février 2013 à 09:26 +0100, Andreas Tille a écrit :

> thanks for your ITP.  You might like to consider maintaining this
> package inside the Debian Science team.

I will actually maintain it within the Debian Octave Group.

Cheers,

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#701829; Package wnpp. (Thu, 28 Feb 2013 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Thu, 28 Feb 2013 22:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 701829@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Sébastien Villemot <sebastien@debian.org>
Cc: 701829@bugs.debian.org, Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#701829: ITP: matlab2tikz -- converter of Octave plots to TikZ figures for integration into LaTeX
Date: Thu, 28 Feb 2013 23:24:30 +0100
Hi Sébastien,

On Thu, Feb 28, 2013 at 07:38:31PM +0100, Sébastien Villemot wrote:
> Le jeudi 28 février 2013 à 09:26 +0100, Andreas Tille a écrit :
> 
> > thanks for your ITP.  You might like to consider maintaining this
> > package inside the Debian Science team.
> 
> I will actually maintain it within the Debian Octave Group.

That's perfectly fine - any group maintenance is OK.

However, what is perfectly orthogonal to the maintenance of the
package we might decide into what Debian Science task the package
might be integrated.  IMHO it fits nicely into viewing:

   http://blends.alioth.debian.org/science/tasks/viewing

would you agree to this?

If you tell me the Vcs location I could even inject it into this
page right now.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#701829; Package wnpp. (Thu, 28 Feb 2013 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Thu, 28 Feb 2013 22:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 701829@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: 701829@bugs.debian.org, Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#701829: ITP: matlab2tikz -- converter of Octave plots to TikZ figures for integration into LaTeX
Date: Thu, 28 Feb 2013 23:32:18 +0100
[Message part 1 (text/plain, inline)]
Le jeudi 28 février 2013 à 23:24 +0100, Andreas Tille a écrit :

> However, what is perfectly orthogonal to the maintenance of the
> package we might decide into what Debian Science task the package
> might be integrated.  IMHO it fits nicely into viewing:
> 
>    http://blends.alioth.debian.org/science/tasks/viewing
> 
> would you agree to this?

Yes, this is very sensible.

> If you tell me the Vcs location I could even inject it into this
> page right now.

I have not yet uploaded anything, but it should eventually be:

 git://git.debian.org/git/pkg-octave/matlab2tikz.git

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 27 Mar 2013 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Wed, 17 Apr 2013 09:03:45 GMT) Full text and rfc822 format available.

Notification sent to Sébastien Villemot <sebastien@debian.org>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 09:03:46 GMT) Full text and rfc822 format available.

Message #32 received at 701829-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 701829-close@bugs.debian.org
Subject: Bug#701829: fixed in matlab2tikz 0.3.2-1
Date: Wed, 17 Apr 2013 09:00:39 +0000
Source: matlab2tikz
Source-Version: 0.3.2-1

We believe that the bug you reported is fixed in the latest version of
matlab2tikz, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701829@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated matlab2tikz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 25 Mar 2013 18:07:14 +0100
Source: matlab2tikz
Binary: matlab2tikz
Architecture: source all
Version: 0.3.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 matlab2tikz - converter of Octave plots to TikZ figures (for integration into L
Closes: 701829
Changes: 
 matlab2tikz (0.3.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #701829)
Checksums-Sha1: 
 40dbe61e5ad0750fd6ea5c4671c0199256a5876e 1941 matlab2tikz_0.3.2-1.dsc
 026762e58b51a14c91921baf556cd5d349c8b8d1 123147 matlab2tikz_0.3.2.orig.tar.gz
 032b06b033b19abfaaa77e21a7c9b568e2165397 3550 matlab2tikz_0.3.2-1.debian.tar.gz
 5063e06718ec3426ec8a577ba4c741dbaa54da92 90596 matlab2tikz_0.3.2-1_all.deb
Checksums-Sha256: 
 f12406dd53cf8352c94a8a7a072960632a745b812cc1e6058c42ba31ef61573d 1941 matlab2tikz_0.3.2-1.dsc
 da932f58e2037743032197d3187b0e6fd848b83fb2adb91da9d7522d5dcc4554 123147 matlab2tikz_0.3.2.orig.tar.gz
 d27cfbd76933833ff90e924bac92cb7aeedf22fa73d27fda5a390448ad119f06 3550 matlab2tikz_0.3.2-1.debian.tar.gz
 2c9d3f99597567dfb330c485a18b6066ee7d6e581cdeb802bd073afa0a9d0773 90596 matlab2tikz_0.3.2-1_all.deb
Files: 
 e2f529c982820ba4e9d009ec96b0baa8 1941 math extra matlab2tikz_0.3.2-1.dsc
 4949fb23600badedf361336c1330182e 123147 math extra matlab2tikz_0.3.2.orig.tar.gz
 f439cc14e7cd777efa088755ce9bc5bf 3550 math extra matlab2tikz_0.3.2-1.debian.tar.gz
 affd420ba40a5d9352b45763d5cf90d8 90596 math extra matlab2tikz_0.3.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRUv96AAoJECzs6TUOzr5KWv0QAKokHX0ShEFxHWZUMWeoLDwX
gf5WCP6XfFQXzBUeKGH5FVpJVxHPnabd+eVYBraqqicjeC0Jux/WnPbeLGqBaPEL
/pn+rj7sVbCFUK+6I8osZ6qIJoSDfdlYSkv4gZxRhn/6IZ/BQjQil+AB03SEG47U
z7DNgyE2IqFXXf7dRax5JdyRoCdiSb7WZHcHxZzRPjUXpcHp/xJ7vxHLFBVKpV+X
ZmdYKT/CI+xL5WjQuHReJxNz3djxAR35E/qBv+SpzJLDaexHFHGTlnFz+WmlGERo
5hjexkeH++o7/A6LnIy7N2dImjwfJwL+NSBBoTnJ+zr80UVfpvQqNfpsOIVcsOcM
Zppy4c3WGYa5jfO9zyFOOHIRMdTSWT00mKZcgW18mc020BYaQ63yCEFQJG7Wswvc
zFhyLtH9G7rJaOl6/sRmkh77WY8p/zdfJqJgDKbmooRM4aMqdAID2+khtw4nPQlK
eoK1bSodmzKZoOFMP5c0AOtQES/8Q0tfLWxabIoKzEltv+8B6ud5qe8QgTrrphQt
gJX6xG2p2KAkpdsZFYXI24tjsJsUzsdqJrbi9BlLfvPlwUD2SKtn5BBCD2oKZarb
xcq0xGu1wqDKkq5v20MWfEqtaIUEEh8FMhmSpD9+VS6lvukFAJNuhTi2iAWOWcZY
s3vWFStQY3mBa7qyBDm3
=ZlD+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:27:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:19:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.